%define section   free

%bcond_without repolib

%define reltag _redhat_3
%define namedreltag -redhat-3
%global namedversion  %{version}%{?namedreltag}

%define repodir %{_javadir}/repository.jboss.com/relaxngDatatype/relaxngDatatype/%{namedversion}-brew 
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

Name:           relaxngDatatype
Version:        2011.1
Release:        0.1%{?reltag}%{?dist}.4
Epoch:          0
Summary:        RELAX NG Datatype API

Group:          Development/Libraries/Java
License:        BSD
URL:            https://sourceforge.net/projects/relaxng

# download from http://downloads.sourceforge.net/project/relaxng/datatype%20%28java%29/2001_10_11/relaxngDatatype.java.zip
# mv relaxngDatatype.java.zip relaxngDatatype-2011.1.zip
Source0:        relaxngDatatype-%{version}.zip

# wget http://search.maven.org/remotecontent?filepath=com/github/relaxng/relaxngDatatype/2011.1/relaxngDatatype-2011.1.pom
Source1:	relaxngDatatype-%{version}.pom
Source2:	relaxngDatatype-component-info.xml

Patch0:         relaxngDatatype-pom.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#Distribution:   JPackage
#Vendor:         JPackage Project

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant >= 0:1.6
BuildRequires:  maven-deploy-plugin

%description
%{summary}

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%prep
%setup -c
cp -p %{SOURCE1} .

%patch0 -p1

%{_bindir}/find . -name "*.jar" | %{_bindir}/xargs -t %{__rm} -f

%build
#export CLASSPATH=$(build-classpath \
#)
ant -Dbuild.sysclasspath=only 

%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 644 %{name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{namedversion}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && ln -s %{name}-%{namedversion}.jar %{name}.jar)

#
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}
cp -pr doc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}
ln -s %{name}-%{namedversion} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
#

# pom
mkdir -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms
cp -p %{name}-%{version}.pom $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom
%add_to_maven_depmap com.github.relaxng relaxngDatatype %{namedversion} JPP %{name}

%if %with repolib
%{__mkdir_p} %{buildroot}%{repodir}

%{_bindir}/mvn-jpp deploy:deploy-file -Dfile=$RPM_BUILD_ROOT%{_javadir}/%{name}-%{namedversion}.jar -DpomFile=%{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom -Durl=file://%{buildroot}/usr/share/java/repository.jboss.com/maven2-brew/ -DrepositoryId=jboss-releases

%{__mkdir_p} %{buildroot}%{repodirlib}
%{__cp} -p %{SOURCE2} %{buildroot}%{repodir}/component-info.xml
tag=`/bin/echo %{name}-%{version}-%{release} | %{__sed} 's|\.|_|g'`
%{__sed} -i "s/@TAG@/$tag/g" %{buildroot}%{repodir}/component-info.xml
%{__sed} -i "s/@VERSION@/%{namedversion}-brew/g" %{buildroot}%{repodir}/component-info.xml
%{__mkdir_p} %{buildroot}%{repodirsrc}
%{__cp} -p %{SOURCE0} %{buildroot}%{repodirsrc}
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom %{buildroot}%{repodirlib}/relaxngDatatype.pom
%{__cp} -p %{buildroot}%{_javadir}/relaxngDatatype.jar %{buildroot}%{repodirlib}/relaxngDatatype.jar
# FIXME maven bug: the pom goes under a 20020414 directory, should go to 1.0
#pushd %{buildroot}/usr/share/java/repository.jboss.com/maven2-brew/relaxngDatatype/relaxngDatatype
#mv 20020414/* 1.0/
#rm -Rf 20020414
#popd
%endif


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap 

%postun
%update_maven_depmap

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{namedversion} %{_javadocdir}/%{name}

%files
%defattr(-,root,root,-)
%doc ThaiOpenSourceCenter-copying.txt
%{_javadir}*/*.jar
%{_datadir}/maven2/poms/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{namedversion}
%ghost %doc %{_javadocdir}/%{name}

%if %{with_repolib}
%files repolib
%defattr(0644,root,root,0755)
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Sat Sep 08 2012 Paul Gier <pgier@redhat.com> - 0:2011.1-0.1_redhat_3.4
- Update pom patch for latest bom

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:2011.1-0.1_redhat_2.3
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2011.1-0.1_redhat_1.2
- Rebuild using cache signing

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:2011.1-0.1_redhat_1.1
- Rebuild using cache signing

* Wed Jan 18 2012 Lin Gao <lgao@redhat.com> - 0:2011.1-0.1_redhat_1
- upgrade to 2011.1
- werewolf phrase build

* Wed Feb 9 2011 Yiqiao Wang <yiwang@redhat.com> - 0:1.0-2.4.4
- Add %%update_maven_depmap in %%post and %%postun

* Tue Jan 25 2011 Yiqiao Wang <yiwang@redhat.com> - 0:1.0-2.4.3
- Add repolib 

* Mon Nov 20 2010 Yiqiao Wang <yiwang@redhat.com> - 0:1.0-2.4.2
- Rebuild for RHEL6
- fix %%{files} for signed jars

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.0-2.4.1
- rebuilt

* Mon Apr 19 2010 Yiqiao Wang <yiwang@redhat.com> 0:1.0-2.4
- Rebuild

* Thu Mar 04 2010 Yiqiao Wang <yiwang@redhat.com>- 0:1.0-2.3
- Rebuild on RHEL-4-EP-5, adjust release tag. 

* Thu Jun 07 2007 Fernando Nasser <fnasser@redhat.com>- 0:1.0-2jpp.ep1.2
- Remove unversioned Obsoletes for msv

* Mon Mar 12 2007 Fernando Nasser <fnasser@redhat.com>- 0:1.0-2jpp.ep1.1
- Rebuild

* Tue Apr 26 2005 Fernando Nasser <fnasser@redhat.com>- 0:1.0-2jpp_1rh
- First Red Hat build

* Wed Aug 25 2004 Fernando Nasser <fnasser@redhat.com>- 0:1.0-2jpp
- Require Ant > 1.6
- Rebuild with Ant 1.6.2

* Tue Jul 06 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-1jpp
- First JPackage build from sources

